Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class TreeRenderingContext.Handlers

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.renderkit.TreeRenderingContext.Handlers

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

Enclosing class:
  TreeRenderingContext

    public static final class TreeRenderingContext.Handlers

extends org.ajax4jsf.javascript.ScriptStringBase

Field Summary

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`TreeRenderingContext.Handlers()`

Method Summary
`void` | `appendScript(java.lang.Appendable target)`
`protected java.lang.Object` | `chain(java.lang.String firstHandler, java.lang.String secondHandler)`
`java.lang.String` | `getBeforeNodeToggleHandler()`
`java.lang.String` | `getBeforeToggleHandler()`
`java.lang.String` | `getNodeToggleHandler()`
`java.lang.String` | `getToggleHandler()`
`void` | `setBeforeNodeToggleHandler(java.lang.String beforeNodeToggleHandler)`
`void` | `setBeforeToggleHandler(java.lang.String beforeToggleHandler)`
`void` | `setNodeToggleHandler(java.lang.String nodeToggleHandler)`
`void` | `setToggleHandler(java.lang.String toggleHandler)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeRenderingContext.Handlers

    public TreeRenderingContext.Handlers()

Method Detail

### chain

    protected java.lang.Object chain(java.lang.String firstHandler,
                                     java.lang.String secondHandler)

### setToggleHandler

    public void setToggleHandler(java.lang.String toggleHandler)

### getToggleHandler

    public java.lang.String getToggleHandler()

### setNodeToggleHandler

    public void setNodeToggleHandler(java.lang.String nodeToggleHandler)

### getNodeToggleHandler

    public java.lang.String getNodeToggleHandler()

### setBeforeToggleHandler

    public void setBeforeToggleHandler(java.lang.String beforeToggleHandler)

### getBeforeToggleHandler

    public java.lang.String getBeforeToggleHandler()

### setBeforeNodeToggleHandler

    public void setBeforeNodeToggleHandler(java.lang.String beforeNodeToggleHandler)

### getBeforeNodeToggleHandler

    public java.lang.String getBeforeNodeToggleHandler()

### appendScript

    public void appendScript(java.lang.Appendable target)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.